Update Webhook
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/webhooks/thanksio-updated',
description: 'Updated webhook destination',
verb: 'get',
type: 'order_item.status_update'
})
};
fetch('https://api.thanks.io/api/v2/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://api.thanks.io/api/v2/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/webhooks/thanksio-updated",
"description": "Updated webhook destination",
"verb": "get",
"type": "order_item.status_update"
}
'import requests
url = "https://api.thanks.io/api/v2/webhooks/{webhookId}"
payload = {
"url": "https://example.com/webhooks/thanksio-updated",
"description": "Updated webhook destination",
"verb": "get",
"type": "order_item.status_update"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": 13,
"user_id": 2,
"mailing_list_id": null,
"type": "order_item.status_update",
"description": "Updated webhook destination",
"invoke_count": 0,
"url": "https://example.com/webhooks/thanksio-updated",
"verb": "get",
"created_at": "2026-03-10T18:59:24.000000Z",
"updated_at": "2026-03-10T20:54:01.000000Z",
"deleted_at": null
}{
"message": "Unauthorized"
}{
"message": "Not Found"
}Webhooks
Update Webhook
Update an existing webhook destination. Webhooks are available on paid subscriptions only.
PUT
/
webhooks
/
{webhookId}
Update Webhook
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/webhooks/thanksio-updated',
description: 'Updated webhook destination',
verb: 'get',
type: 'order_item.status_update'
})
};
fetch('https://api.thanks.io/api/v2/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://api.thanks.io/api/v2/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/webhooks/thanksio-updated",
"description": "Updated webhook destination",
"verb": "get",
"type": "order_item.status_update"
}
'import requests
url = "https://api.thanks.io/api/v2/webhooks/{webhookId}"
payload = {
"url": "https://example.com/webhooks/thanksio-updated",
"description": "Updated webhook destination",
"verb": "get",
"type": "order_item.status_update"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": 13,
"user_id": 2,
"mailing_list_id": null,
"type": "order_item.status_update",
"description": "Updated webhook destination",
"invoke_count": 0,
"url": "https://example.com/webhooks/thanksio-updated",
"verb": "get",
"created_at": "2026-03-10T18:59:24.000000Z",
"updated_at": "2026-03-10T20:54:01.000000Z",
"deleted_at": null
}{
"message": "Unauthorized"
}{
"message": "Not Found"
}Webhooks are available on paid subscriptions only.
Authorizations
Bearer token authentication using your thanks.io API key
Path Parameters
ID of webhook
Example:
11
Body
application/json
Example:
"https://example.com/webhooks/thanksio-updated"
Example:
"get"
Available options:
order_item.status_update, order.status_update, order_item.delivered, scans.scan_update Example:
"order_item.status_update"
Example:
"Updated webhook destination"
Response
OK
Example:
13
Example:
2
Example:
null
Available options:
order_item.status_update, order.status_update, order_item.delivered, scans.scan_update Example:
"order_item.status_update"
Example:
"Updated webhook destination"
Example:
0
Example:
"https://example.com/webhooks/thanksio-updated"
Example:
"get"
Example:
"2026-03-10T18:59:24.000000Z"
Example:
"2026-03-10T20:54:01.000000Z"
Example:
null
Was this page helpful?